summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-firewall/libnetfilter_queue/libnetfilter_queue-0.0.12.ebuild')
-rw-r--r--net-firewall/libnetfilter_queue/libnetfilter_queue-0.0.12.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-firewall/libnetfilter_queue/libnetfilter_queue-0.0.12.ebuild b/net-firewall/libnetfilter_queue/libnetfilter_queue-0.0.12.ebuild
new file mode 100644
index 000000000..91691c620
--- /dev/null
+++ b/net-firewall/libnetfilter_queue/libnetfilter_queue-0.0.12.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit linux-info
+
+DESCRIPTION="API to packets that have been queued by the kernel packet filter"
+HOMEPAGE="http://www.netfilter.org/projects/libnetfilter_queue/"
+SRC_URI="http://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND="net-firewall/libnfnetlink"
+RDEPEND="${DEPEND}"
+
+CONFIG_CHECK="NETFILTER_NETLINK_QUEUE"
+
+pkg_setup() {
+ linux-info_pkg_setup
+ kernel_is lt 2 6 14 && die "requires at least 2.6.14 kernel version"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}